# SPDX-FileCopyrightText: Copyright © 2023 Idiap Research Institute <contact@idiap.ch>
#
# SPDX-License-Identifier: GPL-3.0-or-later
"""Aggregated DataModule composed of Montgomery, Shenzhen, Indian, and TBX11k
datasets (cross-validation fold 5).

This remix dataset combines ``fold-5`` from Montgomery, Shenzhen, and Indian
datasets with ``v1-fold-5`` of TBX11k (healthy vs. active TB samples).
"""

from mednet.libs.classification.config.data.montgomery_shenzhen_indian_tbx11k.datamodule import (
    DataModule,
)

datamodule = DataModule("fold-5.json", "v1-fold-5.json")
