# SPDX-FileCopyrightText: Copyright © 2023 Idiap Research Institute <contact@idiap.ch>
#
# SPDX-License-Identifier: GPL-3.0-or-later
"""Aggregated DataModule composed of Montgomery, Shenzhen, Indian, and TBX11k
datasets (v2-others-vs-atb).

This remix dataset combines the ``default`` split from Montgomery, Shenzhen,
and Indian datasets with ``v2-others-vs-atb`` of TBX11k (healthy, sick and
latent TB vs. active TB samples).
"""

from mednet.libs.classification.config.data.montgomery_shenzhen_indian_tbx11k.datamodule import (
    DataModule,
)

datamodule = DataModule("default.json", "v2-others-vs-atb.json")
