# SPDX-FileCopyrightText: Copyright © 2023 Idiap Research Institute <contact@idiap.ch>
#
# SPDX-License-Identifier: GPL-3.0-or-later
"""NIH CXR14 (relabeled) DataModule for computer-aided diagnosis (cardiomegaly
split).

Database reference: [NIH-CXR14-2017]_

This split contains cardiomegaly cases from the NIH CXR14 database.

See :py:class:`mednet.libs.classification.config.data.nih_cxr14.datamodule.DataModule` for
technical details.
"""

from mednet.libs.classification.config.data.nih_cxr14.datamodule import (
    DataModule,
)

datamodule = DataModule("cardiomegaly.json")
