# SPDX-FileCopyrightText: Copyright © 2023 Idiap Research Institute <contact@idiap.ch>
#
# SPDX-License-Identifier: GPL-3.0-or-later
"""Padchest cardiomegaly (idiap protocol) dataset for computer-aided diagnosis.

Database reference: [PADCHEST-2019]_

This split contains the first 40 images with cardiomegaly, with parameters:
Label = "Normal", MethodLabel = "Physician", Projection = "PA"

Read documentation of
:py:class:`mednet.libs.classification.config.data.padchest.datamodule.DataModule` for technical
details.
"""

from mednet.libs.classification.config.data.padchest.datamodule import (
    DataModule,
)

datamodule = DataModule("cardiomegaly-idiap.json")
