# SPDX-FileCopyrightText: Copyright © 2023 Idiap Research Institute <contact@idiap.ch>
#
# SPDX-License-Identifier: GPL-3.0-or-later
"""Default Shenzhen TB database split.

Database reference: [MONTGOMERY-SHENZHEN-2014]_

* Training samples: 64% of TB and healthy CXR (including labels)
* Validation samples: 16% of TB and healthy CXR (including labels)
* Test samples: 20% of TB and healthy CXR (including labels)

See :py:class:`mednet.libs.classification.config.data.shenzhen.datamodule.DataModule` for
technical details.
"""

from mednet.libs.classification.config.data.shenzhen.datamodule import (
    DataModule,
)

datamodule = DataModule("default.json")
