# SPDX-FileCopyrightText: Copyright © 2023 Idiap Research Institute <contact@idiap.ch>
#
# SPDX-License-Identifier: GPL-3.0-or-later
"""Logistic regression classifier, to be trained from scratch.

This configuration file defines a logistic regression classifier that can take
the output of :py:mod:`.densenet_rs` and be trained for binary classification
(e.g. for active TB detection).
"""

from mednet.libs.classification.models.logistic_regression import (
    LogisticRegression,
)

model = LogisticRegression(input_size=14)
