import click
from clapper.click import AliasedGroup
from mednet.libs.classification.scripts.cli import classification
from mednet.libs.segmentation.scripts.cli import segmentation

from .info import info


@click.group(
    cls=AliasedGroup,
    context_settings=dict(help_option_names=["-?", "-h", "--help"]),
)
def cli():
    """Image classification benchmark."""
    pass


cli.add_command(classification)
cli.add_command(segmentation)
cli.add_command(info)
